Debian Bug report logs - #541863
Please include conffile.template

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: "Dario Minnucci (midget)" <debian@midworld.net>

Date: Sun, 16 Aug 2009 19:06:05 UTC

Severity: wishlist

Tags: patch, wontfix

Found in version live-helper/1.0.5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#541863; Package live-helper. (Sun, 16 Aug 2009 19:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dario Minnucci (midget)" <debian@midworld.net>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 16 Aug 2009 19:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dario Minnucci (midget)" <debian@midworld.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please include conffile.template
Date: Sun, 16 Aug 2009 21:03:46 +0200
[Message part 1 (text/plain, inline)]
Package: live-helper
Severity: wishlist
Version: 1.0.5-1
Tags: +patch
thanks


Hi,

Please include the provided file (or something like it) containing most of the possible vars as
reference to be used with lh_config --conffile option.

Each part is documented following live-helper manpage.

Thanks in advance.


-- 
 Dario Minnucci (midget) <debian@midworld.net>
 Phone: +34 902021030 | Fax: +34 902024417 | Support: +34 807450000
 Key fingerprint = 62FF F60F CE79 9CE4 EBA8  523F FC84 1B2D 82C8 B711

[conffile.template (text/plain, inline)]
#!/bin/sh

# conffile.template - Provides a configuration template to be used with 
# lh_config --conffile option
# Copyright (C) 2009 Dario Minnucci (midget) <debian@midworld.net>
#
# conffile.template comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
# This is free software, and you are welcome to redistribute it
# under certain conditions; see COPYING for details.



###############################################################################
# config/common
###############################################################################
# --apt apt|aptitude
#   defines  if  apt-get  or  aptitude  is  used  to install packages when building the image. When building etch
#   images, this defaults to aptitude. Every other distribution defaults to apt.
LH_APT="apt"


# --apt-ftp-proxy URL
#   sets the ftp proxy to be used by apt. By default, this is empty but if the host has the environment  variable
#   ftp_proxy set, apt-ftp-proxy gets automatically set to the value of ftp_proxy.
#LH_APT_FTP_PROXY="ftp://user:pass@host:port"


# --apt-http-proxy URL
#   sets the http proxy to be used by apt. By default, this is empty but if the host has the environment variable
#   http_proxy set, apt-http-proxy gets automatically set to the value of http_proxy.
#LH_APT_HTTP_PROXY="http://user:pass@host:port"


# --apt-pdiffs enabled|disabled
#   defines whetever apt should use incremental package indices feature or not. This is enabled by default.
LH_APT_PDIFFS="enable"


# --apt-options OPTION|
#   defines the default options that will be appended to every apt call that is made  inside  chroot  during  the
#   building of the image. By default, this is set to --yes to allow non-interactive installation of packages.
APT_OPTIONS="--yes"


# --aptitude-options OPTION|"OPTIONS"
#   defines  the  default  options that will be appended to every aptitude call that is made inside chroot during
#   building of the image. By default, this is set to --assume-yes to allow non-interactive installation of pack-
#   ages.
LH_APTITUDE_OPTIONS="--assume-yes"


# --apt-pipeline FIXME
#   FIXME
#LH_APT_PIPELINE=""


# --apt-recommends enabled|disabled
#    defines  if  apt  should install recommended packages automatically. By default, this is enable in the debian
#    mode and disabled in emdebian mode.
LH_APT_RECOMMENDS="disabled"


# --apt-secure enabled|disabled
#   defines if apt should check repository signatures. This is enabled by default.
LH_APT_SECURE="enabled"


# --bootstrap cdebootstrap|cdebootstrap-static|debootstrap|copy
#   defines which program is used to bootstrap the debian chroot, default is debootstrap. Note that  if  you  set
#   the  bootstrap  program  to  copy,  then  your host system is copied. This can be usefull if you want to con-
#   vert/clone your existing host system into a live system, however, make sure you do have enough free space  as
#   this can, depending on your host system, get quite big.
LH_BOOTSTRAP="debootstrap"


# --cache enabled|disabled
#   defines globally if any cache should be used at all. Different caches can be controled through the their  own
#   options.
LH_CACHE="enabled"


# --cache-indices enabled|disabled
#   defines  if  downloaded  package indices and lists should be cached which is disabled by default. Enabling it
#   would allow to rebuild an image completely offline, however, you would not get updates anymore then.
LH_CACHE_INDICES="disabled"


# --cache-packages enabled|disabled
#   defines if downloaded packages files should be cached which is enabled by default.  Disabling  it  does  save
#   space consumtion in your build directory, but remember that you will cause much unnecessary traffic if you do
#   a couple of rebuilds. In general you should always leave it enabled, however, in some particular  rare  build
#   setups,  it  can be faster to refetch packages from the local network mirror rather than to utilize the local
#   disk.
LH_CACHE_PACKAGES="enabled"


# --cache-stages enabled|disabled|STAGE|"STAGES"
#   sets which stages should be cached. By default set to bootstrap. As an exception to the normal  stage  names,
#   also   rootfs   can  be  used  here  which  does  only  cache  the  generated  root  filesystem  in  filesys-
#   tem.{dir,ext*,squashfs}. This is usefull during development if you want to rebuild the binary stage  but  not
#   regenerate the root filesystem all the time.
LH_CACHE_STAGES="bootstrap"


# --debconf-frontend dialog|editor|noninteractive|readline
#   defines  what value the debconf frontend should be set to inside the chroot. Note that setting it to anything
#   by noninteractive, which is the default, makes your build asking questions during the build.
LH_DEBCONF_FRONTEND="noninteractive"


# --debconf-nowarnings enabled|disabled
#   defines if warnings of debconf should be displayed or not. Warnings from debconf are generally very rare  and
#   by default, we skipp them, if any, in order to keep the build process entirely non interactive.
LH_DEBCONF_NOWARNINGS="enabled"


# --debconf-priority low|medium|high|critical
#   defines  what  value the debconf priority shoul dbe set to inside the chroot. By default, it is set to criti-
#   cal, which means that almost none questions are displayed. Note that this only has an effect if you  use  any
#   debconf frontend different from noninteractive.
LH_DEBCONF_PRIORITY="critical"


# --initramfs auto|live-initramfs|casper
#   sets  the  name of package that contains the live system specific initramfs modification. By default, auto is
#   used, which means that at build time of the image rather than  on  configuration  time,  the  value  will  be
#   expanded to casper when building etch systems and to live-initramfs for all other systems.
LH_INITRAMFS="auto"


# --fdisk fdisk|fdisk.dist
#   sets the filename of the fdisk binary from the host system that should be used. This is autodetected and does
#   generally not need any customization.
#LH_FDISK=""


# --losetup losetup|losetup.orig
#   sets  the  filename  of the losetup binary from the host system that should be used. This is autodetected and
#   does generally not need any customization.
#LH_LOSETUP=""


# --mode debian|emdebian
#   defines a global mode to load project specific defaults. By default this is set to debian.
LH_MODE="debian"


# --root-command sudo
#   controls if live-helper should use sudo internally to build the live image. Note that this is not well tested
#   and that you should, when relaying on sudo, call the individual live-helper command with sudo itself.
LH_ROOT_COMMAND="sudo"


# --use-fakeroot enabled|disabled
#   FIXME
LH_USE_FAKEROOT="disabled"


# --tasksel aptitude|tasksel
#   selects which program is used to install tasks. By default, this is set to tasksel.
LH_TASKSEL="tasksel"


# --includes PATH
#   sets the path to the includes that live-helper is going to use, e.g. additional  minimal  documentation  that
#   you want to have on all live systems. By default, this is set to /usr/share/live-helper/includes/.
#LH_INCLUDES="/usr/share/live-helper/includes/"


# --templates PATH
#   sets the path to the templates that live-helper is going to use, e.g. for bootloaders. By  default,  this  is
#   set to /usr/share/live-helper/templates/.
#LH_TEMPLATES="/usr/share/live-helper/templates/"



###############################################################################
# config/bootstrap
###############################################################################
# -a|--architecture ARCHITECTURE
#  defines the architecture of the to be build image. By default, this is set to  the  host  architecture.  Note
#  that  you  cannot crossbuild for another architecture if your host system is not able to execute binaries for
#  the target architecture natively. For example, building amd64 images on i386 and vice versa is possile if you
#  have  a  64bit  capable i386 processor and the right kernel. But building powerpc images on an i386 system is
#  not possible.
LH_ARCHITECTURE="i386"


# --bootstrap-config FILE
#   sets  a  custom configuration file for the boostrap programm of choice and is empty by default. Refere to the
#   documentation of debootstrap or cdebootstrap for more information about that. When the bootstrap  program  is
#   set to copy, this has no effect.
#LH_BOOTSTRAP_CONFIG=""


# -f|--bootstrap-flavour minimal|standard
#   defines  if the bootstrap program should bootstrap the standard system (all packages of priority required and
#   important, which is the default) or a minimal system (only packages of priority required, plus apt).
#LH_BOOTSTRAP_FLAVOUR="standard"


# --bootstrap-keyring PACKAGE
#   sets the archive keyring package to be used. Default is debian-archive-keyring.
#LH_BOOTSTRAP_KEYRING="debian-archive-keyring"


# -d|--distribution CODENAME
#   defines the distribution of the resulting live system.
LH_DISTRIBUTION="lenny"


# -m|--mirror-bootstrap URL
#   sets the location of the debian package mirror that should be used to bootstrap from.
LH_MIRROR_BOOTSTRAP="http://ftp.us.debian.org/debian/"


# --mirror-chroot URL
#   sets  the location of the debian package mirror that will be used to fetch the packages in order to build the
#   live system. By default, this points to http://ftp.us.debian.org/debian/ which may not be a good  default  if
#   you live outside the U.S.
LH_MIRROR_CHROOT="http://ftp.us.debian.org/debian/"


# --mirror-chroot-security URL
#   sets  the  location of the debian security package mirror that will be used to fetch the packages in order to
#   build the live system. By default, this points to http://security.debian.org/debian/.
LH_MIRROR_CHROOT_SECURITY="http://security.debian.org/debian/"


# --mirror-binary URL
#   sets  the location of the debian package mirror that should end up configured in the final image and which is
#   the one a user would see and use. This has not necessarily to be the same that is used to  build  the  image,
#   e.g.  if  you use a local mirror but want to have an official mirror in the image. By default, the same value
#   that is used for --mirror-chroot is used here unless specified different.
LH_MIRROR_BINARY="http://ftp.us.debian.org/debian/"


# --mirror-binary-security URL
#   sets the location of the debian security package mirror that should end up configuered in the final image. By
#   default, the same value that is used for --mirror-chroot-security is used here unless specified different.
LH_MIRROR_BINARY_SECURITY="http://security.debian.org/debian/"


# --categories)
LH_CATEGORIES="main"



###############################################################################
# config/chroot
###############################################################################
# --chroot-filesystem ext2|ext3|squashfs|plain|jffs2
#   defines  which  filesystem  type  should  be  used  for  the root filesystem image. If you use plain, then no
#   filesystem image is created and the root filesystem content is copied on the binary image filesystem as  flat
#   files.  Depending  on  what  binary filesystem you have choosen, it may not be possible to build with a plain
#   root filesystem, e.g. fat16/fat32 and plain don't work as linux does not support to run on them.
#LH_CHROOT_FILESYSTEM="squashfs"


# --virtual-root-filesystem ext3
#   defines what filesystem to format the root filesystem when building virtual-hdd images.
#LH_VIRTUAL_ROOT_FILESYSTEM=""


# --union-filesystem aufs|unionfs
#   defines  whetever to use UnionFS or Aufs as stackable unification filesystem. When building etch images, this
#   defaults to unionfs, everywhere else to aufs.
#LH_UNION_FILESYSTEM="aufs"


# --virtual-root-size MB
#   defines what size the virtual-hdd image should be. Note that although the default is set to 10000  (=  10GB),
#   it will not need 10GB space on your harddisk as the files are created as sparse files.
#LH_VIRTUAL_ROOT_SIZE="10000"


# --exposed-root enabled|disabled
#   FIXME
#LH_EXPOSED_ROOT="disabled"


# --hooks FILE
#   defines  which  hooks available in /usr/share/live-helper/examples/hooks should be activated. Normally, there
#   are no hooks executed. Make sure you know and understood the hook before you enable it.
#LH_HOOKS=""


# --interactive shell
#   defines  if  after  the  chroot stage and before the beginning of the binary stage, a interactive shell login
#   should be spawned in the chroot in order to allow you to do manual customizations. Once you close  the  shell
#   with  logout  or  exit, the build will continue as usual. Note that it's strongly discouraged to use this for
#   anything else than testing. Modifications that should be present in all builds of a  live  system  should  be
#   properly  made  through hooks. Everything else destroys the beauty of being able to completely automatise the
#   build process and making it non interactive. By default, this is of course disabled.
#LH_INTERACTIVE="disabled"


# --keyring-packages PACKAGE|
#   sets the keyring package or additional keyring packages. By default this is set to debian-archive-keyring.
LH_KEYRING_PACKAGES="debian-archive-keyring"


# -l|--language LANGUAGE
#   sets  the language of a live system by installing l10n related packages and enables generation of the correct
#   locales through automatically setting the right boot parameters. -l|--language)
LH_LANGUAGE="en"


# -k|--linux-flavours FLAVOUR|
#   sets the kernel flavours to be installed. Note that in case you specify more than that the first will be con-
#   figured the default kernel that gets bootet.
#LH_LINUX_FLAVOURS="486 686"


# --linux-packages
#   sets  the  internal  name of the kernel packges naming scheme. If you use debian kernel packges, you will not
#   have to adjust it. If you decide to use custom kernel packages that do not follow the debian  naming  scheme,
#   remember  to  set  this option to the stub of the packages only (for debian this is linux-image-2.6), so that
#   STUB-FLAVOUR results in a valid package name (for debian e.g. linux-image-2.6-486). Preferably  you  use  the
#   meta  package  name,  if  any, for the stub, so that your configuration is ABI independent. Also don't forget
#   that you have to include stubs of the binary modules packages for unionfs or aufs, and squashfs if you  built
#   them out-of-tree.
#LH_LINUX_PACKAGES="linux-image-2.6 ${LH_UNION_FILESYSTEM}-modules-2.6 squashfs-modules-2.6"


# --packages PACKAGE|"PACKAGES"
#   defines  one or more packages to be installed in the live system. This is a quick and convenient place to add
#   a few packages when building an image (limited by the max length of shell). Packages that  should  be  perma-
#   nently installed should be put into a local packages list.
LH_PACKAGES=""


# -p|--packages-lists FILE
#   defines  which  lists  available  in  /usr/share/live-helper/lists should be used. By default, this is set to
#   standard. Note that in case you have local packages lists, you also need to list them here. Putting them into
#   config/chroot_local-packageslists is not enough.
#LH_PACKAGES_LISTS="standard"


# --tasks TASK
#   defines  one  or more package tasks to be installed in the live system. This is a quick and convenient way to
#   get a reasonable default selection of packages suitable for most users when building an image, but it results
#   in  quite  big  images. If you want to have finer grained package selections,  local packages lists should be
#   used instead.
#LH_TASKS=""


# --security enabled|disabled
#   defines if the security repositories specified in the security mirror options should be used or not.
#LH_SECURITY="enabled"


# --symlinks enabled|disabled
#   defines if the symlink hack should be enabled or disabled. The symlink hack converts all absolute symlinks to
#   relative  ones.  By default this is disabled and in general there is no need or gain to enable it. If you are
#   in a special situation that requires this, you will know.
#LH_SYMLINKS="disabled"


# --sysvinit enabled|disabled
#   defines it the sysvinit hack should be enabled or disabled. The sysvinit hack disables all non-essential ser-
#   vices from starting up at bootup in order to reduce overall boottime. By default this is disabled and in gen-
#   eral there you don't want to enable it.
#LH_SYSVINIT="disabled"



###############################################################################
# config/binary
###############################################################################
# --binary-filesystem fat16|fat32|ext2
#   defines the filesystem to be used in the image type. This only has an effect if  the  selected  binary  image
#   type  does  allow to choose a filesystem. For example, when selection iso the resulting CD/DVD has always the
#   filesystem ISO9660. When building usb-hdd images for usb sticks, this is active. Note  that  it  defaults  to
#   fat16  on  all  architectures  except sparc where it defaults to ext2. Also note that if you choose fat16 and
#   your resulting binary image gets bigger than 2GB, the binary filesystem automatically gets switched to fat32.
LH_BINARY_FILESYSTEM="fat16"


#  -b|--binary-images iso|net|tar|usb-hdd
#   defines the image type to build. By default this is set to iso to build CD/DVD images.
LH_BINARY_IMAGES="iso"


# --binary-indices enabled|disabled|none
#   defines if the resulting images should have binary indices or not and defaults to enabled. If set to none, no
#   indices are included at all.
LH_BINARY_INDICES="enabled"


# --bootappend-live PARAMETER|"PARAMETERS"
#   sets  boot  parameters specific to debian-live. A complete list of boot parameters can be found, for etch, in
#   the manpage of casper, for all other distributions in the manpage of live-initramfs. On the images, a list of
#   all parameters (without comments) is included in the /parameters.txt.
#LH_BOOTAPPEND_LIVE=""


# --bootappend-install PARAMETER|"PARAMETERS"
#   sets boot parameters specific to debian-installer, if included.
#LH_BOOTAPPEND_INSTALL=""


# --bootloader grub|syslinux|yaboot
#   defines  which  bootloader  is  beeing  used  in the generated image. This has only an effect if the selected
#   binary image type does allow to choose the bootloader. For example, if you build a iso, always  syslinux  (or
#   more  precise, isolinux) is being used. Also note that some combinations of binary images types and bootload-
#   ers may be possible but live-helper does not support them yet. lh_config will fail to create such a  not  yet
#   supported configuration and give a explanation about it. For usb-hdd images on amd64 and i386, the default is
#   syslinux. yaboot is only used on powerpc.
LH_BOOTLOADER="syslinux"


# --checksums enabled|disabled
#   defines  if  the  binary  image  should  contain  a file called md5sums.txt that lists all files on the image
#   together with their md5 checksums. This in turn can be used by live-initramfs'  built-in  integrity-check  to
#   verify  the  medium  if specified at boot prompt. In general, this should not be disabled and is an important
#   feature of live system released to the public. However, during development of very big  images  it  can  save
#   some time by not calculating the checksums.
LH_CHECKSUMS="enabled"


# --chroot-build enabled|disabled
#   defines  whetever live-helper should use the tools from within the chroot to build the binary image or not by
#   using and including the host systems tools. This is a very dangerous option, using the tools of the host sys-
#   tem  can  lead  to  tainted  and  even  non-bootable images if the host systems version of the required tools
#   (mainly these are the bootloaders such as syslinux, grub and yaboot, and the auxilliary tools such as  dosfs-
#   tools,  genisoimage,  squashfs-tools  and  others) do not exactely match what is present at build-time in the
#   target distribution. Never do disable this option unless you are exactely sure what you are  doing  and  have
#   completely understood its consequences.
LH_CHROOT_BUILD="enabled"


# --debian-installer enabled|cdrom|netinst|netboot|businesscard|live|disabled
#   defines  which  type,  if  any,  of the debian-installer should be included in the resulting binary image. By
#   default, no installer is included. All available flavours except live are the identical  configurations  used
#   on  the  installer  media  produced  by  regular  debian-cd. When live is choosen, the live-installer udeb is
#   included so that debian-installer will behave different than usual - instead of installing the debian  system
#   from packages from the medium or the network, it installs the live system to the disk.
LH_DEBIAN_INSTALLER="enabled"


# --debian-installer-distribution daily|CODENAME
#   defines  the distribution where the debian-installer files should be taken out from. Normally, this should be
#   set to the same distribution as the live system. However, some times, one wants to use a newer or even  daily
#   built installer.
LH_DEBIAN_INSTALLER_DISTRIBUTION="daily"


# --debian-installer-preseedfile FILE|URL
#   sets the filename or URL for an optionally used and included preseeding file for debian-installer.
#LH_DEBIAN_INSTALLER_PRESEEDFILE=""


# -e|--encryption disabled|aes128|aes192|aes256
#   defines if the root filesystem should be encrypted or not. By default, this is disabled.
LH_ENCRYPTION="disabled"


# --grub-splash FILE
#   defines the name of an optional to be included splash screen graphic for the grub bootloader.
#LH_GRUB_SPLASH=""


# --hostname NAME
#   sets the hostname of the live system.
LH_HOSTNAME="debian-live"


# --iso-application NAME
#   sets the APPLICATION field in the header of a resulting CD/DVD image and defaults to "Debian Live" in  debian
#   mode, and to "Emdebian Live" in emdebian mode.
LH_ISO_APPLICATION="Debian Live"


# --iso-preparer NAME
#   sets  the  PREPARER  field  in the header of a resulting CD/DVD image. By default this is set to "live-helper
#   VERSION; http://packages.qa.debian.org/live-helper", whereas VERSION is exanded to the version of live-helper
#   that was used to build the image.
LH_ISO_PREPARER="live-helper"


# --iso-publisher NAME
#   sets  the  PUBLISHED field in the header of a resulting CD/DVD image. By default, this is set to 'Debian Live
#   project; http://debian-live.alioth.debian.org/; debian-live@lists.debian.org'. Remember to change this to the
#   appropriate values at latest when you distributing custom and unofficial images.
LH_ISO_PUBLISHER="Debian Live project; http://debian-live.alioth.debian.org/; debian-live@lists.debian.org"


# --iso-volume NAME
#   sets  the  VOLUME  field  in  the header of a resulting CD/DVD and defaults to 'Debian Live (DATE)' in debian
#   mode, and 'Emdebian Live (DATE)' in emdebian mode, whereas DATE is expanded with the current date and time of
#   the generation.
LH_ISO_VOLUME="Debian Live `date +%Y%m%d%T`"


# --jffs2-eraseblock SIZE
#   FIXME
#LH_JFFS2_ERASEBLOCK=""


# --memtest memtest86+|memtest86|none
#   defines if memtest, memtest86+ or no memory tester at all should be included as secondary bootloader configu-
#   ration. This is only available on amd64 and i386 and defaults to memtest86+.
LH_MEMTEST="memtest86+"


# --net-root-filesystem nfs|cfs
#   defines the filesystem that will be configured in the bootloader configuration for your netboot  image.  This
#   defaults to nfs.
#LH_NET_ROOT_FILESYSTEM="nfs"


# --net-root-mountoptions OPTIONS
#   sets additional options for mounting the root filesystem in netboot images and is by default empty.
#LH_NET_ROOT_MOUNTOPTIONS=""


# --net-root-path PATH
#   sets  the  file  path  that  will  be configured in the bootloader configuration for your netboot image. This
#   defaults to /srv/debian-live in debian mode and to /srv/emebian-live when being in emdebian mode.
#LH_NET_ROOT_PATH="/srv/debian-live"


# --net-root-server IP|HOSTNAME
#   sets the IP or hostname that will be configured in the bootloader configuration for the  root  filesystem  of
#   your netboot image. This defaults to 192.168.1.1.
#LH_NET_ROOT_SERVER="192.168.1.1"


# --net-cow-filesystem nfs|cfs
#   defines the filesystem type for the copy-on-write layer and defaults to nfs.
#LH_NET_COW_FILESYSTEM="nfs"


# --net-cow-mountoptions OPTIONS
#   sets additional options for mounting the copy-on-write layer in netboot images and is by default empty.
#LH_NET_COW_MOUNTOPTIONS=""


# --net-cow-path PATH
#   defines  the  path  to  client writable filesystem. Anywhere that client_mac_address is specified in the path
#   live-initramfs will substitute the MAC address of the client delimited with hyphens.
#   Example:
#      /export/hosts/client_mac_address
#      /export/hosts/00-16-D3-33-92-E8
#LH_NET_COW_PATH=""


# --net-cow-server IP|HOSTNAME
#   sets the IP or hostname that will be  configured  in  the  bootloader  configuration  for  the  copy-on-write
#   filesystem of your netboot image and is by default empty.
#LH_NET_COW_SERVER=""


# --net-tarball bzip2|gzip|tar|none
#   defines  the format of the netboot image. Choosing tar results in a not compressed tarball, bzip2 and gzip in
#   a bzip2 resp. gzip compressed tarball. Choosing none leads to no tarball at all, the plain  binary  directory
#   is considered the output in this case. Default is gzip.
#LH_NET_TARBALL="gzip"


# --syslinux-splash FILE
#   defines the file of the syslinux splash graphic that should be used instead of the default one.
#LH_SYSLINUX_SPLASH=""


# --syslinux-timeout SECONDS
#   defines the timeout the syslinux bootloader should wait for input from the user at the bootprompt prior boot-
#   ing the default kernel. This defaults to 0 which means it will wait forever.
LH_SYSLINUX_TIMEOUT="0"


# --syslinux-menu enabled|disabled
#   defines if syslinux should be make use of the vgamenu capabilities or not.
#LH_SYSLINUX_MENU="enabled"


# --username NAME
#   sets the name of the account of the default user in the live system.
LH_USERNAME="user"


# --win32-loader enabled|disabled
#   defines if win32-loader should be included in the binary image or not.
#LH_WIN32_LOADER=""


###############################################################################
# config/source
###############################################################################
# --source enabled|disabled
#   defines if a corresponding source image to the binary image should be build.  By  default  this  is  disabled
#   because  most  people do not require this and would require to download quite a few source packages. However,
#   once you start distributing your live image, you should make sure you build it with a source image alongside.
#LH_SOURCE="disabled"


# -s|--source-images iso|net|tar|usb-hdd
#   defines the image type for the source image. Default is tar.
LH_SOURCE_IMAGES="tar"


###############################################################################
# other
###############################################################################
# --breakpoints) enabled|disabled
#_BREAKPOINTS="enabled"


# --color) enabled|disabled
_COLOR="enabled"


# --debug) enabled|disabled
_DEBUG="enabled"


# --force) enabled|disabled
#_FORCE="disabled"


# --ignore-system-defaults)


# --quiet)
#_QUIET="enabled"


# --verbose)
_VERBOSE="enabled"

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Dario Minnucci (midget) <debian@midworld.net> to control@bugs.debian.org. (Sun, 16 Aug 2009 19:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#541863; Package live-helper. (Sun, 16 Aug 2009 19:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 16 Aug 2009 19:27:05 GMT) Full text and rfc822 format available.

Message #12 received at 541863@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 541863@bugs.debian.org, 541863-submitter@bugs.debian.org
Subject: Re: Please include conffile.template
Date: Sun, 16 Aug 2009 21:19:56 +0200
tag 541863 wontfix
thanks

Hi,

there is no value of having a static configuration file. also, a
'sample' one can be just generated with 'lh_config'.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) wontfix. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 16 Aug 2009 19:27:07 GMT) Full text and rfc822 format available.

Message sent on to "Dario Minnucci (midget)" <debian@midworld.net>:
Bug#541863. (Sun, 16 Aug 2009 19:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#541863; Package live-helper. (Sun, 16 Aug 2009 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dario Minnucci (midget)" <debian@midworld.net>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 16 Aug 2009 22:51:05 GMT) Full text and rfc822 format available.

Message #22 received at 541863@bugs.debian.org (full text, mbox):

From: "Dario Minnucci (midget)" <debian@midworld.net>
To: daniel@debian.org, 541863-quiet@bugs.debian.org
Cc: 541863@bugs.debian.org, 541863-submitter@bugs.debian.org
Subject: Re: Bug#541863: Please include conffile.template
Date: Mon, 17 Aug 2009 00:48:25 +0200
[Message part 1 (text/plain, inline)]
Hi Daniel,

> there is no value of having a static configuration file. also, a
> 'sample' one can be just generated with 'lh_config'.

I did not see any information about how to generate a 'sample' file using lh_config, that's why I
was looking for the LH_ vars around the code and tried to put the most in a single file to be easily
modifiable if you use --conffile option for different (but similar) builds.

Can you please point me out to how can I generate that 'sample' file.

Regards.

-- 
 Dario Minnucci (midget) <debian@midworld.net>
 Phone: +34 902021030 | Fax: +34 902024417 | Support: +34 807450000
 Key fingerprint = 62FF F60F CE79 9CE4 EBA8  523F FC84 1B2D 82C8 B711


[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#541863; Package live-helper. (Sun, 16 Aug 2009 22:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dario Minnucci (midget)" <debian@midworld.net>:
Extra info received and filed, but not forwarded. (Sun, 16 Aug 2009 22:51:09 GMT) Full text and rfc822 format available.

Message sent on to "Dario Minnucci (midget)" <debian@midworld.net>:
Bug#541863. (Sun, 16 Aug 2009 22:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#541863; Package live-helper. (Wed, 26 Aug 2009 19:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dario Minnucci (midget)" <debian@midworld.net>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 26 Aug 2009 19:51:10 GMT) Full text and rfc822 format available.

Message #35 received at 541863@bugs.debian.org (full text, mbox):

From: "Dario Minnucci (midget)" <debian@midworld.net>
To: 541863@bugs.debian.org
Subject: Re: Please include conffile.template
Date: Wed, 26 Aug 2009 21:48:59 +0200
[Message part 1 (text/plain, inline)]
Hi Daniel,

> there is no value of having a static configuration file. also, a
> 'sample' one can be just generated with 'lh_config'.

OK, maybe the way you are proposing is better in order to avoid out-of-dated templates.

Feel free to close this bug report.

Thanks anyway.

Cheers.

-- 
 Dario Minnucci (midget) <debian@midworld.net>
 Phone: +34 902021030 | Fax: +34 902024417 | Support: +34 807450000
 Key fingerprint = 62FF F60F CE79 9CE4 EBA8  523F FC84 1B2D 82C8 B711


[signature.asc (application/pgp-signature, attachment)]

Reply sent to daniel@debian.org:
You have taken responsibility. (Wed, 02 Sep 2009 05:33:05 GMT) Full text and rfc822 format available.

Notification sent to "Dario Minnucci (midget)" <debian@midworld.net>:
Bug acknowledged by developer. (Wed, 02 Sep 2009 05:33:05 GMT) Full text and rfc822 format available.

Message #40 received at 541863-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 541863-done@bugs.debian.org, 541863-submitter@bugs.debian.org
Subject: Re: Please include conffile.template
Date: Wed, 02 Sep 2009 07:26:55 +0200
closing hereby.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to "Dario Minnucci (midget)" <debian@midworld.net>:
Bug#541863. (Wed, 02 Sep 2009 05:33:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Sep 2009 08:00:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:55:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.